icons missing on /pub download page
Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 2.2.0

Triaged: No Found in Releases:  

Bugzilla link: 1841818 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/867,

https://github.com/theforeman/puppet-for

eman/pull/869

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1841818

Description of problem:

Index of /pub has no icons

Version-Release number of selected component (if applicable):

satellite-6.8.0-0.3.beta.el7sat.noarch

tfm-rubygem-foreman_theme_satellite-5.0.1.12-1.el7sat.noarch

How reproducible:

checked two systems

Steps to Reproduce:

1. navigate to http://&lt;sat6.8&gt;/pub

2.

3.

Actual results:

no icons, just text labels at left hand side

Expected results:

icons down the left

Associated revisions

Revision 9bb72cee - 07/21/2020 10:26 AM - Adam Ruzicka

Fixes #30456 - Fix missing icons on /pub page

The requests for /icons/* were being proxy-passed to puma, which didn't know

about any icons and returned 404s.

History

#1 - 07/21/2020 08:42 AM - Adam Ruzicka

- Subject changed from icons missing on /pub download page

 to icons missing on /pub download page

- Category set to 242
https://bugzilla.redhat.com/show_bug.cgi?id=1841818
- Status changed from New to Assigned

- Assignee set to Adam Ruzicka

#2 - 07/21/2020 08:55 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/867 added

#3 - 07/21/2020 10:26 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#4 - 07/21/2020 11:01 AM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|9bb72cee31c3d7265f4f83c9dc222f7205848fed.

#5 - 07/23/2020 11:39 AM - Ewoud Kohl van Wijngaarden

- Category changed from 242 to Foreman modules

#6 - 08/03/2020 04:24 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/869 added

#7 - 08/03/2020 04:28 PM - Tomer Brisker

- Fixed in Releases 2.1.1 added

#8 - 08/03/2020 04:28 PM - The Foreman Bot

- Fixed in Releases deleted (2.1.1)
